## cutecom 0.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project(CuteCom)
 
+set(QT_MIN_VERSION 4.1.0)
 find_package(Qt4 REQUIRED)
 
 include_directories(${QT_INCLUDES} ${CMAKE_BINARY_DIR})
@@ -12,12 +13,30 @@
 
 qt4_wrap_ui(cutecomSrcs cutecommdlg.ui)
 
-add_executable(cutecom ${cutecomSrcs} ${uiHeaders})
+set(exeType)
+set(binInstallDir bin )
+
+if(APPLE)
+   # with cmake < 2.6 install(TARGETS ... BUNDLE DESTINATION ... ) doesn't work:
+   cmake_minimum_required(VERSION 2.6 FATAL_ERROR )
+   set(exeType MACOSX_BUNDLE)
+   set(binInstallDir /Applications )
+   # hint to linker for indirect referenced libs inside qt3support
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtSql.framework/Versions/4/QtSql:/Library/Frameworks/QtSql.framework/Versions/4/QtSql")
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtNetwork.framework/Versions/4/QtNetwork:/Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork")
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtXml.framework/Versions/4/QtXml:/Library/Frameworks/QtXml.framework/Versions/4/QtXml")
+endif(APPLE)
+
+add_executable(cutecom ${exeType} ${cutecomSrcs} ${uiHeaders})
 target_link_libraries(cutecom ${QT_QT3SUPPORT_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})
 
-install(TARGETS cutecom DESTINATION bin )
+if (APPLE)
+   set_target_properties(cutecom PROPERTIES OUTPUT_NAME CuteCom)
+endif (APPLE)
 
-install(FILES cutecom.1 DESTINATION man/man1 )
+install(TARGETS cutecom DESTINATION ${binInstallDir} )
+
+install(FILES cutecom.1 DESTINATION share/man/man1 )
 
 find_program(KDECONFIG_EXECUTABLE NAMES kde-config )
