=== debian/changelog ===
cutecom (0.51.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112822)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 15:36:47 +0300

cutecom (0.51.0-1) unstable; urgency=medium

  * New upstream release (Closes: #911378, #1020432)
  * Change Qt dependency version to 5.3.0 as it's the minimal
    supported version now
  * Update homepage and watch file, project moved to Gitlab
  * Upgrade package to standards 4.6.1
  * Upgrade to debhelper 12, set compat 12
  * Update copyright, icons were changed to public domain versions, some
    new authors added
  * Remove man-page-update.patch, merged upstream
  * Use updated desktop file with 'Comment' section (Closes: #847088)
    (LP: #1575347)
  * Add qt-5-15-build-fix.patch to build with new Qt
  * Add improve-desktop-file.patch to drop obsolete lines (fixing lintian)
    and add categories

 -- Roman I Khimov <roman@khimov.ru>  Sun, 25 Sep 2022 15:19:26 +0300
