=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: comm
 Priority: optional
 Maintainer: Roman I Khimov <roman@khimov.ru>
-Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev (>= 5.1.0), qt5-qmake (>= 5.1.0), qtbase5-dev-tools (>= 5.1.0), libqt5serialport5-dev (>= 5.1.0)
-Standards-Version: 3.9.8
-Homepage: http://github.com/neundorf/CuteCom
+Build-Depends: debhelper (>= 12), cmake (>= 2.8.11), qtbase5-dev (>= 5.3.0), qt5-qmake (>= 5.3.0), qtbase5-dev-tools (>= 5.3.0), libqt5serialport5-dev (>= 5.3.0)
+Standards-Version: 4.6.1
+Homepage: https://gitlab.com/cutecom/cutecom
 
 Package: cutecom
 Architecture: any
