=== debian/watch ===
version=4

https://gitlab.com/cutecom/cutecom/tags?sort=updated_desc .*/uploads/[a-f0-9]+/cutecom-(.*)\.tgz
